use super::*;

pub struct APIManager {
    channel:Sender<Query>,
}

impl APIManager {

}

impl Subsystem for APIManager {
    fn start(_supervisor:Option<Sender<Query>>) -> Result<Sender<Query>, Error>
    {
        Err(Error::new())
    }
}
